Bug 201479 - Review Request: perl-Class-Factory-Util
Review Request: perl-Class-Factory-Util
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
http://search.cpan.org/dist/Class-Fac...
:
Depends On:
Blocks: FE-ACCEPT 201480
  Show dependency treegraph
 
Reported: 2006-08-05 20:12 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-06 13:14:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-08-05 20:12:36 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Class-Factory-Util-1.6-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Class-Factory-Util.spec

Description:
This module exports utility functions that are useful for factory classes.
Comment 1 Patrice Dumas 2006-08-06 07:31:00 EDT
One remark: the changelog entry isn't formatted with a leading -

* rpmlint is silent
* package named according to guidelines
* free software licence included
* meets packaging guidelines
* spec legible
* md5sum match upstream
88b4471f9c22abcc1192f87be013cc18  ../RPM-fc/SOURCES/Class-Factory-Util-1.6.tar.gz
* sane provides
Provides: perl(Class::Factory::Util) = 1.6
* %files right

APPROVED
Comment 2 Patrice Dumas 2006-08-06 07:46:48 EDT
The combination of GPL and artistic in one file is dubious,
since only verbatim redistribution of the GPL is allowed...
This issue should be taken upstream in my opinion, but is
not a blocker.
Comment 3 Chris Weyl 2006-08-06 13:14:16 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-4, FC-5)
+Close bug

Thanks for the review! :)

(In reply to comment #2)
> The combination of GPL and artistic in one file is dubious,
> since only verbatim redistribution of the GPL is allowed...
> This issue should be taken upstream in my opinion, but is
> not a blocker.

I'll send them a note; I've seen a couple modules do this now but it doesn't
appear to be common practice.

Note You need to log in before you can comment on or make changes to this bug.